Debian Bug report logs - #335601
compaq smart array controller support in yaird

version graph

Package: yaird; Maintainer for yaird is (unknown);

Reported by: Erik van Konijnenburg <ekonijn@xs4all.nl>

Date: Mon, 24 Oct 2005 22:03:03 UTC

Severity: normal

Found in version yaird/0.0.11-6

Fixed in versions yaird/0.0.11-9, yaird/0.0.11-11

Done: Jonas Smedegaard <dr@jones.dk>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#335601; Package yaird. Full text and rfc822 format available.

Acknowledgement sent to Erik van Konijnenburg <ekonijn@xs4all.nl>:
New Bug report received and forwarded. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Erik van Konijnenburg <ekonijn@xs4all.nl>
To: submit@bugs.debian.org
Subject: compaq smart array controller support in yaird
Date: Mon, 24 Oct 2005 23:55:37 +0200
Package: yaird
Version: 0.0.11-6

Yaird 0.0.11 does not support the compaq smart array controller;
here's a patch for machines with the cciss driver,  a preview from 0.0.12.

This does not provide support for cpqarray; reports about those are welcome.

Beware: there's one report that the core patch in Plan.pm works; the
other bells and whistles here are untested so far.

--erik


diff -urN -x {arch} -x .arch-ids -x configure -x aclocal.m4 -x depcomp -x missing -x Makefile -x Makefile.in -x install-sh -x INSTALL p73/ChangeLog p74/ChangeLog
--- p73/ChangeLog	2005-10-24 23:51:03.000000000 +0200
+++ p74/ChangeLog	2005-10-24 23:50:57.000000000 +0200
@@ -2,6 +2,27 @@
 # arch-tag: automatic-ChangeLog--ekonijn@xs4all.nl--debian/yaird--devo--0.1
 #
 
+2005-10-22 15:03:19 GMT	Erik van Konijnenburg <ekonijn@xs4all.nl>	patch-74
+
+    Summary:
+      0.0.12 - preparing for ...
+    Revision:
+      yaird--devo--0.1--patch-74
+
+         * Add support for Compaq smartarray, SMART2 only,
+           no reports yet about Smart 5xxx, but should not be too complicated.
+           These drivers don't point to underlying hardware; no change
+           of doing generic detection, just look at name of block device,
+           then pick a hard-coded module
+         * add more quotes in config files.  This should be more robust
+           in the face of ! marks in smart-array device names.
+
+    modified files:
+     ChangeLog perl/KConfig.pm perl/Plan.pm
+     templates/Debian-initrd.cfg templates/Debian.cfg
+     templates/Fedora.cfg
+
+
 2005-10-13 20:44:53 GMT	Erik van Konijnenburg <ekonijn@xs4all.nl>	patch-73
 
     Summary:
diff -urN -x {arch} -x .arch-ids -x configure -x aclocal.m4 -x depcomp -x missing -x Makefile -x Makefile.in -x install-sh -x INSTALL p73/perl/KConfig.pm p74/perl/KConfig.pm
--- p73/perl/KConfig.pm	2005-10-24 23:51:03.000000000 +0200
+++ p74/perl/KConfig.pm	2005-10-24 23:50:57.000000000 +0200
@@ -192,6 +192,10 @@
 	'st' => 'CHR_DEV_ST',
 	'sr-mod' => 'BLK_DEV_SR',
 	'sg' => 'CHR_DEV_SG',
+
+	# Compaq Smart Array controllers
+	'cpqarray' => 'BLK_CPQ_DA',
+	'cciss' => 'BLK_CPQ_CISS_DA',
 };
 
 
diff -urN -x {arch} -x .arch-ids -x configure -x aclocal.m4 -x depcomp -x missing -x Makefile -x Makefile.in -x install-sh -x INSTALL p73/perl/Plan.pm p74/perl/Plan.pm
--- p73/perl/Plan.pm	2005-10-24 23:51:03.000000000 +0200
+++ p74/perl/Plan.pm	2005-10-24 23:50:57.000000000 +0200
@@ -426,6 +426,22 @@
 		return 1;
 	}
 
+	#
+	# compaq smart controllers in 2.6.13 also lack the hardware link.
+	# plan B: assume that a cciss is a cciss.
+	# complication: there's a discrepancy between /sys and /dev:
+	# /sys/block/cciss!c0d0 and /dev/cciss/c0d0, but this turns out
+	# to have no further consequences.
+	#
+	# note that there also exist /dev/ida/c0d0 devices with cpqarray
+	# underlying devices, but no reports about those so far.
+	#
+	if ($name =~ /^cciss!c\d+d\d+$/) {
+		ModProbe::addModules ($actions, [ "cciss" ]);
+		$actions->add("mkbdev", $device->yspecial, sysname => $name);
+		return 1;
+	}
+
 	return 0;
 }
 
diff -urN -x {arch} -x .arch-ids -x configure -x aclocal.m4 -x depcomp -x missing -x Makefile -x Makefile.in -x install-sh -x INSTALL p73/templates/Debian.cfg p74/templates/Debian.cfg
--- p73/templates/Debian.cfg	2005-10-24 23:51:03.000000000 +0200
+++ p74/templates/Debian.cfg	2005-10-24 23:50:57.000000000 +0200
@@ -217,8 +217,7 @@
 		# and already is suitably escaped.
 		SCRIPT "/init"
 		BEGIN
-			!/sbin/insmod '<TMPL_VAR NAME=target>' \
-			!	<TMPL_VAR NAME=optionList>
+			!/sbin/insmod '<TMPL_VAR NAME=target>' <TMPL_VAR NAME=optionList>
 		END SCRIPT
 	END TEMPLATE
 
@@ -360,8 +359,8 @@
 			!	<TMPL_IF NAME=isRoot>$ro</TMPL_IF> \
 			!	-t <TMPL_VAR NAME=fsType> \
 			!	<TMPL_VAR NAME=options> \
-			!	<TMPL_VAR NAME=device> \
-			!	<TMPL_VAR NAME=target>
+			!	'<TMPL_VAR NAME=device>' \
+			!	'<TMPL_VAR NAME=target>'
 		END SCRIPT
 	END TEMPLATE
 
diff -urN -x {arch} -x .arch-ids -x configure -x aclocal.m4 -x depcomp -x missing -x Makefile -x Makefile.in -x install-sh -x INSTALL p73/templates/Debian-initrd.cfg p74/templates/Debian-initrd.cfg
--- p73/templates/Debian-initrd.cfg	2005-10-24 23:51:03.000000000 +0200
+++ p74/templates/Debian-initrd.cfg	2005-10-24 23:50:57.000000000 +0200
@@ -382,8 +382,8 @@
 			!	<TMPL_IF NAME=isRoot>$ro</TMPL_IF> \
 			!	-t <TMPL_VAR NAME=fsType> \
 			!	<TMPL_VAR NAME=options> \
-			!	<TMPL_VAR NAME=device> \
-			!	<TMPL_VAR NAME=target>
+			!	'<TMPL_VAR NAME=device>' \
+			!	'<TMPL_VAR NAME=target>'
 		END SCRIPT
 	END TEMPLATE
 
diff -urN -x {arch} -x .arch-ids -x configure -x aclocal.m4 -x depcomp -x missing -x Makefile -x Makefile.in -x install-sh -x INSTALL p73/templates/Fedora.cfg p74/templates/Fedora.cfg
--- p73/templates/Fedora.cfg	2005-10-24 23:51:03.000000000 +0200
+++ p74/templates/Fedora.cfg	2005-10-24 23:50:57.000000000 +0200
@@ -232,8 +232,7 @@
 		# and already is suitably escaped.
 		SCRIPT "/init"
 		BEGIN
-			!/sbin/insmod '<TMPL_VAR NAME=target>' \
-			!	<TMPL_VAR NAME=optionList>
+			!/sbin/insmod '<TMPL_VAR NAME=target>' <TMPL_VAR NAME=optionList>
 		END SCRIPT
 	END TEMPLATE
 
@@ -380,8 +379,8 @@
 			!	<TMPL_IF NAME=isRoot>$ro</TMPL_IF> \
 			!	-t <TMPL_VAR NAME=fsType> \
 			!	<TMPL_VAR NAME=options> \
-			!	<TMPL_VAR NAME=device> \
-			!	<TMPL_VAR NAME=target>
+			!	'<TMPL_VAR NAME=device>' \
+			!	'<TMPL_VAR NAME=target>'
 		END SCRIPT
 	END TEMPLATE
 



Reply sent to Jonas Smedegaard <dr@jones.dk>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Erik van Konijnenburg <ekonijn@xs4all.nl>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #10 received at 335601-close@bugs.debian.org (full text, mbox):

From: Jonas Smedegaard <dr@jones.dk>
To: 335601-close@bugs.debian.org
Subject: Bug#335601: fixed in yaird 0.0.11-9
Date: Wed, 26 Oct 2005 02:17:44 -0700
Source: yaird
Source-Version: 0.0.11-9

We believe that the bug you reported is fixed in the latest version of
yaird, which is due to be installed in the Debian FTP archive:

yaird_0.0.11-9.diff.gz
  to pool/main/y/yaird/yaird_0.0.11-9.diff.gz
yaird_0.0.11-9.dsc
  to pool/main/y/yaird/yaird_0.0.11-9.dsc
yaird_0.0.11-9_powerpc.deb
  to pool/main/y/yaird/yaird_0.0.11-9_powerpc.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 335601@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Jonas Smedegaard <dr@jones.dk> (supplier of updated yaird package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Wed, 26 Oct 2005 10:35:39 +0200
Source: yaird
Binary: yaird
Architecture: source powerpc
Version: 0.0.11-9
Distribution: unstable
Urgency: low
Maintainer: Debian Kernel Team <debian-kernel@lists.debian.org>
Changed-By: Jonas Smedegaard <dr@jones.dk>
Description: 
 yaird      - Yet Another mkInitRD
Closes: 335264 335601
Changes: 
 yaird (0.0.11-9) unstable; urgency=low
 .
   * Really apply patch to ignore Apple IDE bus. Really closes:
     bug#335264 (thanks to Sven Luther <sven.luther@wanadoo.fr> and
     Michel Dänzer <daenzer@debian.org>).
   * Apply patch to support Compaq SMART2 Smart Arrays (except the
     changelog entry that does not match). Closes: bug#335601 (thanks to
     Erik van Konijnenburg <ekonijn@xs4all.nl>).
   * Update long description:
     + Still not supported, but dmraid _is_ in debian now.
     + Mention Compaq Smart Arrays as in need of testing.
Files: 
 9676f2d401f74a23df563c723fa7d802 749 utils optional yaird_0.0.11-9.dsc
 4cc788bf37863c9520d893cf2343e658 12149 utils optional yaird_0.0.11-9.diff.gz
 65cfccf3c0bfa478f40f7f60ea382a2d 168940 utils optional yaird_0.0.11-9_powerpc.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.2 (GNU/Linux)

iD8DBQFDX0cLn7DbMsAkQLgRArtCAKCVzLHegg8TmvPJxDuAJVp7V1YxtQCfbNr4
sD1GQMYPU+/cdAcFow38MN4=
=suQN
-----END PGP SIGNATURE-----




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#335601; Package yaird. Full text and rfc822 format available.

Acknowledgement sent to Erich Schubert <erich@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #15 received at 335601@bugs.debian.org (full text, mbox):

From: Erich Schubert <erich@debian.org>
To: 335601@bugs.debian.org
Subject: compaq arrays with ida
Date: Wed, 2 Nov 2005 17:16:48 +0100
Hi,
the compaq smart arrays I have use "ida":
/dev/ida/c0d0p5 on / type ext3 (rw,errors=remount-ro)
/dev/ida/c0d0p1 on /boot type ext2 (rw)
/dev/ida/c0d0p6 on /home type ext3 (rw,nodev)
as well as /sys/block/ida!c0d0
The module needed is "cpqarray"

Greetings,
Erich Schubert
-- 
    erich@(vitavonni.de|debian.org)    --    GPG Key ID: 4B3A135C   (o_
   There was never a good war or a bad peace. - Benjamin Franklin   //\
        Glück gleicht durch Höhe aus, was ihm an Länge fehlt.       V_/_
                        --- Robert Lee Frost



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#335601; Package yaird. Full text and rfc822 format available.

Acknowledgement sent to Erik van Konijnenburg <ekonijn@xs4all.nl>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #20 received at 335601@bugs.debian.org (full text, mbox):

From: Erik van Konijnenburg <ekonijn@xs4all.nl>
To: Erich Schubert <erich@debian.org>, 335601@bugs.debian.org
Subject: Re: Bug#335601: compaq arrays with ida
Date: Wed, 2 Nov 2005 17:29:52 +0100
On Wed, Nov 02, 2005 at 05:16:48PM +0100, Erich Schubert wrote:
> Hi,
> the compaq smart arrays I have use "ida":
> /dev/ida/c0d0p5 on / type ext3 (rw,errors=remount-ro)
> /dev/ida/c0d0p1 on /boot type ext2 (rw)
> /dev/ida/c0d0p6 on /home type ext3 (rw,nodev)
> as well as /sys/block/ida!c0d0
> The module needed is "cpqarray"

Thanks!  Perhaps you would want to test the following patch?

Erik

--- orig/perl/Plan.pm
+++ mod/perl/Plan.pm
@@ -441,6 +441,12 @@
 		$actions->add("mkbdev", $device->yspecial, sysname => $name);
 		return 1;
 	}
+	if ($name =~ /^ida!c\d+d\d+$/) {
+		ModProbe::addModules ($actions, [ "cpqarray" ]);
+		$actions->add("mkbdev", $device->yspecial, sysname => $name);
+		return 1;
+	}
+
 
 	return 0;
 }






Reply sent to Jonas Smedegaard <dr@jones.dk>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Erik van Konijnenburg <ekonijn@xs4all.nl>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #25 received at 335601-close@bugs.debian.org (full text, mbox):

From: Jonas Smedegaard <dr@jones.dk>
To: 335601-close@bugs.debian.org
Subject: Bug#335601: fixed in yaird 0.0.11-11
Date: Wed, 02 Nov 2005 20:02:09 -0800
Source: yaird
Source-Version: 0.0.11-11

We believe that the bug you reported is fixed in the latest version of
yaird, which is due to be installed in the Debian FTP archive:

yaird_0.0.11-11.diff.gz
  to pool/main/y/yaird/yaird_0.0.11-11.diff.gz
yaird_0.0.11-11.dsc
  to pool/main/y/yaird/yaird_0.0.11-11.dsc
yaird_0.0.11-11_powerpc.deb
  to pool/main/y/yaird/yaird_0.0.11-11_powerpc.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 335601@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Jonas Smedegaard <dr@jones.dk> (supplier of updated yaird package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Wed,  2 Nov 2005 05:09:45 +0100
Source: yaird
Binary: yaird
Architecture: source powerpc
Version: 0.0.11-11
Distribution: unstable
Urgency: low
Maintainer: Debian Kernel Team <debian-kernel@lists.debian.org>
Changed-By: Jonas Smedegaard <dr@jones.dk>
Description: 
 yaird      - Yet Another mkInitRD
Closes: 333003 335154 335601 336450 336509 336566 336567 336585 336612 336636 336988
Changes: 
 yaird (0.0.11-11) unstable; urgency=low
 .
   * rename patches to be based on origin/use:
     + 0xxx: Grabbed from upstream development.
     + 1xxx: Possibly relevant for upstream adoption.
     + 2xxx: Only relevant for official Debian release.
     Add debian/patches/README documenting this new naming scheme.
   * Extend patch 1075 (ignore Apple IDE busses) to also ignore "mesh".
     Closes: bug#336988 (thanks to Beiad Dalton <andy@wolfsinger.com>).
   * Add patch 0078 to ignore optional fields in /etc/fstab. Closes:
     bug#336612, #336636, #336585, #336509 (thanks to A Costa
     <agcosta@gis.net> and others reporting the same issue).
   * Add patch 0080 to treat 4th field of /etc/fstab as optional too, and
     handle comma-separated fstypes like "ext3,ext2" and magic fstype
     "auto". Closes: bug#336566, #336567 (thanks to Alastair McKinstry
     <mckinstry@debian.org> and Srdjan <srdjan@paradise.net.nz>, and to
     Mattia Dongili <malattia@linux.it> for insisting about 4th field..).
   * Add patch 0084 to support compaq IDA arrays. Yet again closes:
     bug#335601 (thanks to Erich Schubert <erich@debian.org>).
   * Add patch 0085 fixing a bug in TREE command.
   * Add patches 2001 and 0086 to use getOutput and optGetOutput in
     various other functions.
   * Add patches 0090, 0091 and 0093 to add tryGetOutput function and
     OPTIONAL MODULE command, and use those to try loading fbcon module
     in Default.cfg. Closes: bug#333003, #336450, #335154 (thanks to
     Richard Burton <richardaburton@hotmail.com> and all others reporting
     and testing).
   * Add patch 0094 improving nfsroot-related comments in config file.
Files: 
 971370b260a535aac1485461239b909c 751 utils optional yaird_0.0.11-11.dsc
 a40fb44712779063a552bdaf36073729 22554 utils optional yaird_0.0.11-11.diff.gz
 cf752b4e30eab36cd716a12445e4cad7 171918 utils optional yaird_0.0.11-11_powerpc.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.2 (GNU/Linux)

iD8DBQFDaYrVn7DbMsAkQLgRAmocAJ9mYXz+8RGn7r+T6Pjmdm4V+yaUOQCgpDZ4
+79t1azPOy2pFB99Y1PY3L4=
=3Lj8
-----END PGP SIGNATURE-----




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#335601; Package yaird. Full text and rfc822 format available.

Acknowledgement sent to Erich Schubert <erich@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #30 received at 335601@bugs.debian.org (full text, mbox):

From: Erich Schubert <erich@debian.org>
To: Erik van Konijnenburg <ekonijn@xs4all.nl>
Cc: 335601@bugs.debian.org
Subject: Re: Bug#335601: compaq arrays with ida
Date: Mon, 07 Nov 2005 16:32:31 +0100
Hi,
> +	if ($name =~ /^ida!c\d+d\d+$/) {
> +		ModProbe::addModules ($actions, [ "cpqarray" ]);
> +		$actions->add("mkbdev", $device->yspecial, sysname => $name);
> +		return 1;
> +	}

That is what I had inserted myself. Works fine.

best regards,
Erich Schubert
-- 
    erich@(vitavonni.de|debian.org)    --    GPG Key ID: 4B3A135C    (o_
   There was never a good war or a bad peace. - Benjamin Franklin    //\
  Bei dem Freunde halte still, der dich nur, nicht das deine will.   V_/_




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 24 Jun 2007 08:19:50 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 08:21:17 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.